package com.gic.evaluate.service.impl;

import com.gic.commons.util.DateUtil;
import com.gic.evaluate.dao.mapper.TabEvaluateMsgLogMapper;
import com.gic.evaluate.entity.TabEvaluateMsgLog;
import com.gic.evaluate.service.EvaluateMsgLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2020/2/6 13:41
 */
@Service
public class EvaluateMsgLogServiceImpl implements EvaluateMsgLogService {

    @Autowired
    private TabEvaluateMsgLogMapper tabEvaluateMsgLogMapper;

    @Override
    public void save(TabEvaluateMsgLog evaluateMsgLog) {
        this.tabEvaluateMsgLogMapper.insertSelective(evaluateMsgLog);
    }

    @Override
    public TabEvaluateMsgLog getByOrderId(Long orderId) {
        return this.tabEvaluateMsgLogMapper.getByOrderId(orderId);
    }

    @Override
    public List<TabEvaluateMsgLog> listFirstMsgLogs(Integer enterpriseId) {
        return tabEvaluateMsgLogMapper.listFirstMsgLogs(enterpriseId, DateUtil.getStartTimeOfDay(), DateUtil.getEndTimeOfDay());
    }

    @Override
    public List<TabEvaluateMsgLog> listSecondMsgLogs(Integer enterpriseId) {
        return tabEvaluateMsgLogMapper.listSecondMsgLogs(enterpriseId, DateUtil.getStartTimeOfDay(), DateUtil.getEndTimeOfDay());
    }

    @Override
    public List<TabEvaluateMsgLog> listReviewMsgLogs(Integer enterpriseId) {
        return tabEvaluateMsgLogMapper.listReviewMsgLogs(enterpriseId, DateUtil.getStartTimeOfDay(), DateUtil.getEndTimeOfDay());
    }

    @Override
    public void update(TabEvaluateMsgLog log) {
        tabEvaluateMsgLogMapper.updateByPrimaryKeySelective(log);
    }
}